/**-----------------------------------------------------------------------------

  File         :  dwt_utils.h
  Description  :  Header file for functions using DWT unit
  Author       :  Aleksander Borysiuk

  History:
  - 2017.06.11 - ver. 1.0

------------------------------------------------------------------------------*/

#ifndef __DWT_UTILS_H
#define __DWT_UTILS_H

/* Includes ------------------------------------------------------------------*/
#include "stm32f10x.h"

/* Exported macro ------------------------------------------------------------*/
#define DWT_CLK              72000000  // DWT unit clock frequency in Hz

/* Exported types ------------------------------------------------------------*/

/* Exported constants --------------------------------------------------------*/

/* Exported functions ------------------------------------------------------- */
// Inlined functions
/**-----------------------------------------------------------------------------
  Name         :  dwt_Init
  Description  :  Enable DWT unit
  Argument(s)  :  none
  Return value :  none
------------------------------------------------------------------------------*/
__STATIC_INLINE void dwt_Init(void)
{
  // Enable DWT unit
  CoreDebug->DEMCR |= CoreDebug_DEMCR_TRCENA_Msk;
}

// External functions
void dwt_Delay(uint32_t nTime);

#endif // __DWT_UTILS_H
/*----------------------------- End of file ----------------------------------*/
