/**-----------------------------------------------------------------------------

  Name         :  stm32_BitBand.h
  Description  :  Macros for data access via bit banding address space
  Author       :  Aleksander Borysiuk

  History      :  2017.07.15 - ver.1.0

------------------------------------------------------------------------------*/

#ifndef _stm32_BitBand_H_
#define _stm32_BitBand_H_

/* Includes ------------------------------------------------------------------*/
#include "stm32f10x.h"

/* Exported macro ------------------------------------------------------------*/
// Data access macros via bit banding address space
// - data in SRAM
#define BITBAND_SRAM(var, bitNo) \
        (*(__IO uint32_t *)(SRAM_BB_BASE + 32 * ((uint32_t)&var - SRAM_BASE) + 4 * bitNo))

// - data in peripheral register
#define BITBAND_PERI(reg, bitNo) \
        (*(__IO uint32_t *)(PERIPH_BB_BASE + 32 * ((uint32_t)&reg - PERIPH_BASE) + 4 * bitNo))

/* Public variables ----------------------------------------------------------*/
/* Public functions ----------------------------------------------------------*/

#endif
/*----------------------------- End of file ----------------------------------*/
