/**-----------------------------------------------------------------------------

  Name         :  stm32_Butterfly.h
  Description  :  Header file for STM32 Butterfly Board
  Author       :  Aleksander Borysiuk

  History      :  2017.03.12 - ver.1.0

------------------------------------------------------------------------------*/

#ifndef _stm32_Butterfly_H_
#define _stm32_Butterfly_H_

/* Includes ------------------------------------------------------------------*/
#include "stm32f10x.h"

/* Exported macro ------------------------------------------------------------*/
// STM32 Butterfly joystick
#define JOY_GPIO        GPIOE
#define JOY_GPIO_CLK    RCC_APB2ENR_IOPEEN
#define JOY_OK          8              // joystick key OK
#define JOY_UP          9              // joystick key UP
#define JOY_DOWN        10             // joystick key DOWN
#define JOY_RIGHT       11             // joystick key RIGHT
#define JOY_LEFT        12             // joystick key LEFT


// STM32 Butterfly LEDs
// - LED I/O ports
#define LED_GPIO        GPIOE
#define LED_GPIO_CLK    RCC_APB2ENR_IOPEEN
#define LED_1           14
#define LED_2           15

// - LED control macros
#define LED_ON(ledID)   LED_GPIO->BRR = (1 << ledID)
#define LED_OFF(ledID)  LED_GPIO->BSRR = (1 << ledID)
#define LED_STATE(ledID) (LED_GPIO->ODR & (1 << ledID))

/* Public variables ----------------------------------------------------------*/
/* Public functions ----------------------------------------------------------*/

#endif
/*----------------------------- End of file ----------------------------------*/
